Public Class frmMailingList
  Dim ElapsedTime As Integer = 0
  Dim LastNow As Date


  Private Sub btnStart_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnStart.Click
    'Start button clicked
    'Disable start and exit buttons
    'Enabled pause button
    btnStart.Enabled = False
    btnExit.Enabled = False
    btnPause.Enabled = True
    'Establish start time and start timer control
    LastNow = Now
    timSeconds.Enabled = True
    'Enable mailing list frame
    grpMail.Enabled = True
    txtName.Focus()
  End Sub

  Private Sub btnPause_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPause.Click
    'Pause button clicked
    'Disable pause button
    'Enabled start and exit buttons
    btnPause.Enabled = False
    btnStart.Enabled = True
    btnExit.Enabled = True
    'Stop timer
    timSeconds.Enabled = False
    'Disable editing frame
    grpMail.Enabled = False
  End Sub

  Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
    Me.Close()
  End Sub

  Private Sub timSeconds_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles timSeconds.Tick
    'Compute elapsed time and display
    ElapsedTime += DateDiff(DateInterval.Second, LastNow, Now)
    txtElapsedTime.Text = HMS(ElapsedTime)
    LastNow = Now
  End Sub

  Private Function HMS(ByVal T As Integer) As String
    Dim H As Integer, M As Integer, S As Integer
    'Break time down into hours, minutes, and seconds
    H = T \ 3600 ' note integer division
    M = (T - H * 3600) \ 60 ' again integer division
    S = T - H * 3600 - M * 60
    Return (Format(H, "00") & ":" & Format(M, "00") & ":" & Format(S, "00"))
  End Function

  Private Sub txtInput_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtName.KeyPress, txtZip.KeyPress, txtState.KeyPress, txtCity.KeyPress, txtAddress.KeyPress
    Dim WhichTextBox As TextBox
    WhichTextBox = CType(sender, TextBox)
    'Check for return key
    If e.KeyChar = ControlChars.Cr Then
      Select Case WhichTextBox.Name
        Case "txtName"
          txtAddress.Focus()
        Case "txtAddress"
          txtCity.Focus()
        Case "txtCity"
          txtState.Focus()
        Case "txtState"
          txtZip.Focus()
        Case "txtZip"
          btnAccept.Focus()
      End Select
    End If
    'In Zip text box, make sure only numbers or backspace pressed
    If WhichTextBox.Name.Equals("txtZip") Then
      If (e.KeyChar >= CChar("0") And e.KeyChar <= CChar("9")) Or e.KeyChar = ControlChars.Back Then
        e.Handled = False
      Else
        e.Handled = True
      End If
    End If
  End Sub

  
  Private Sub btnAccept_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAccept.Click
    Dim S As String, I As Integer
    'Accept button clicked - form label and output in message box
    'Make sure each text box has entry
    If txtName.Text = "" Or txtAddress.Text = "" Or txtCity.Text = "" Or txtState.Text = "" Or txtZip.Text = "" Then
      MessageBox.Show("Each box must have an entry!", "Error", MessageBoxButtons.OK, MessageBoxIcon.Information)
      txtName.Focus()
      Exit Sub
    End If
    S = txtName.Text + ControlChars.CrLf + txtAddress.Text + ControlChars.CrLf
    S += txtCity.Text + ", " + txtState.Text + " " + txtZip.Text
    MessageBox.Show(S, "Mailing Label", MessageBoxButtons.OK)
    btnClear.PerformClick()
  End Sub

  Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
    txtName.Text = ""
    txtAddress.Text = ""
    txtCity.Text = ""
    txtState.Text = ""
    txtZip.Text = ""
    txtName.Focus()
  End Sub
End Class
